<!DOCTYPE html>
<html>
  <head>
    <title>CodicaTest</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag "application", "data-turbo-track": "reload" %>
    <%= javascript_importmap_tags %>
  </head>

  <body>
    <div class="nav">
      <%= button_to root_path, method: :get, data: { turbo: false }, form_class: 'home_link' do %>
        <span class='icon'>🏘</span>
        Home
      <% end %>
      <% if current_user %>
        <div class="account_nav logged_in">
          <span class="current_user">Logged in as: <%= current_user.full_name %>
          (<%= current_user.type %>)</span>
          <%= button_to "Log out", destroy_user_session_path, method: :delete, data: { turbo: false }  %>
        </div>
      <% else %>
        <div class="account_nav guest">
          <%= render "devise/shared/links", locals: { resource_name: 'User' } %>
        </div>
      <% end %>
    </div>
    <%= render 'layouts/messages' %>
    <div class="container">
      <div class="main">
        <%= yield %>
      </div>
    </div>
    <div class="footer">
      <div class="copycenter">(c) 1986</div>
    </div>
  </body>
</html>
